Packages - Bug #2517

xf86-video-ati breaks xorg
2019-10-27 12:46 AM - v3d

Status: duplicate % Done: 0%
Priority: bug

Assignee: Megver83

Category:

Description

VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] RV730 PRO [Radeon HD 4650]

kernel: 0000:01:00.0: Missing Free firmware (non-Free firmware loading is disabled)
kernel: [drm] radeon: power management initialized

kernel: [drm] Internal thermal controller with fan control

kernel: [drm:rv770_init [radeon]] ERROR Failed to load firmware!

kernel: r600_cp: Failed to load firmware "/*(DEBLOBBED)*/"

kernel: 0000:01:00.0: Missing Free firmware (non-Free firmware loading is disabled)

solution: downgrade the xf86-video-ati package to 1:19.0.0-1

Related issues:

Related to Packages - Bug #2511: [xf86-video-ati]: X can't start confirmed
Related to Packages - Bug #2702: xf86-video-ati duplicate
History

#1 - 2019-10-27 01:50 AM - bill-auger

- Assignee set to Megver83

#2 - 2019-10-27 01:52 AM - bill-auger
- Related to Bug #2511: [xf86-video-ati]: X can't start added

#3 - 2019-10-27 01:53 AM - bill-auger
possibly related to #2511

#4 - 2020-05-23 12:59 PM - bill-auger

- Related to Bug #2702: xf86-video-ati added

#5 - 2020-05-23 04:47 PM - Megver83

If downgrading xf86-video-ati solves the issue, then it is not a firmware problem. Issue #2511 shows the real problem with X, please, follow up that

thread.

#6 - 2020-05-23 05:00 PM - bill-auger

- Status changed from unconfirmed to duplicate
